Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class StrutsActionProxy

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxy
          org.apache.struts2.impl.StrutsActionProxy

All Implemented Interfaces:
  ActionProxy, Serializable

    public class StrutsActionProxy

extends DefaultActionProxy

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxy
`actionEventListener, actionName, cleanupContext, config, configuration, executeResult, invocation, method, namespace, objectFactory, unknownHandlerManager`

Constructor Summary
`StrutsActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)`

Method Summary
`String` | `execute()`
`protected String` | `getErrorMessage()`
`protected void` | `prepare()`

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxy
`getAction, getActionName, getConfig, getExecuteResult, getInvocation, getMethod, getNamespace, isMethodSpecified, setActionEventListener, setConfiguration, setExecuteResult, setObjectFactory, setUnknownHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsActionProxy

    public StrutsActionProxy(ActionInvocation inv,
                             String namespace,
                             String actionName,
                             String methodName,
                             boolean executeResult,
                             boolean cleanupContext)

Method Detail

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `ActionProxy`
  Overrides:
    `execute` in class `DefaultActionProxy`
  Throws:
    `Exception`

### prepare

    protected void prepare()

  Overrides:
    `prepare` in class `DefaultActionProxy`

### getErrorMessage

    protected String getErrorMessage()

  Overrides:
    `getErrorMessage` in class `DefaultActionProxy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.